cat <<EOF
Summary: An outgoing mail processor and the SMTP tunnel.
Name: anubis
Version: $1
Release: 1
URL: http://anubis.sourceforge.net/
Source: http://ftp.sourceforge.net/anubis/%{name}-%{version}.tar.gz
Group: System Environment/Daemons
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: make openssl-devel
Requires: openssl pidentd
Prereq: /sbin/chkconfig /sbin/install-info

%description
Anubis is an outgoing mail processor. It goes between the MUA (Mail User Agent)
and the MTA (Mail Transport Agent), and can perform on the fly various sorts of
processing and conversion on the outgoing mail in accord with the sender's
specified rules, based on a highly configurable regular expressions system.
It operates as a proxy server, independently from mail user agents.
Anubis can edit outgoing mail headers, encrypt and/or sign mail with the
GNU Privacy Guard, build secure SMTP tunnels (Simple Mail Transport Protocol)
using the TLS/SSL encryption even if your mail user agent doesn't support it,
or tunnel a connection through a SOCKS proxy or WinGate proxy server. Moreover,
Anubis supports the remailers (it allows sending mail in an anonymous way).

%define _globalrcdir /etc
%define _initdir /etc/init.d

%prep
%setup -q

%build
CFLAGS="\$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=/usr
make

%install
if [ -d \$RPM_BUILD_ROOT ]
then
 rm -fr \$RPM_BUILD_ROOT
fi
make install prefix=\$RPM_BUILD_ROOT/usr mandir=\$RPM_BUILD_ROOT%{_mandir} \
infodir=\$RPM_BUILD_ROOT%{_infodir}
mkdir -p \$RPM_BUILD_ROOT%{_initdir}
install -m 0755 ./scripts/redhat.init \$RPM_BUILD_ROOT%{_initdir}/anubis
mkdir -p \$RPM_BUILD_ROOT%{_globalrcdir}
install -m 0600 ./examples/defaultrc \$RPM_BUILD_ROOT%{_globalrcdir}/anubisrc

%clean
rm -f ./src/anubis*
rm -fr \$RPM_BUILD_ROOT
make distclean

%pre
rm -f %{_mandir}/man1/anubis.1*
rm -f /usr/man/man1/anubis.1*

%post
/sbin/chkconfig --add anubis
/sbin/install-info %{_infodir}/anubis.info.gz %{_infodir}/dir

%preun
%{_initdir}/anubis stop >/dev/null 2>&1
/sbin/chkconfig --del anubis
/sbin/install-info --delete %{_infodir}/anubis.info.gz %{_infodir}/dir

%files
%defattr(-,root,root)
%doc COPYING AUTHORS THANKS README INSTALL NEWS ChangeLog TODO
%doc examples
%{_mandir}/man1/anubis.1*
%attr(0644,root,root) %{_infodir}/anubis.info*
%attr(0700,root,root) %{_sbindir}/anubis
%attr(0600,root,root) %config(noreplace) %{_globalrcdir}/anubisrc
%attr(0755,root,root) %config %{_initdir}/anubis

%changelog
* Mon Sep 02 2002 Wojciech Polak <polak@lodz.pdi.net>
- removed the doc/TUTORIAL file.

* Thu Aug 22 2002 Wojciech Polak <polak@lodz.pdi.net>
- added the anubis.info file.

* Sun Aug 18 2002 Wojciech Polak <polak@lodz.pdi.net>
- added the THANKS file to the files section.

* Thu Aug 01 2002 Wojciech Polak <polak@lodz.pdi.net>
- changed the download path (Source:).

* Tue Jul 23 2002 Wojciech Polak <polak@lodz.pdi.net>
- changed group to System Environment/Daemons.

EOF

