/*
   help.c

   This file is a part of Anubis.
   Copyright (C) 2001, 2002 The Anubis Team.

   Anubis is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   Anubis is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Anubis is released under the GPL with the additional exemption that
   compiling, linking, and/or using OpenSSL is allowed.
*/

#include "headers.h"
#include "extern.h"

void print_version(void)
{
	printf("\n%s\n", version);
	printf("%s\n", copyright);
	printf("\nBuilt-in support for: ");
	#ifdef GDEBUG
	 printf("DEBUG ");
	#endif /* GDEBUG */
	#ifdef HAVE_REGEX
	 printf("REGEX ");
	#else
	 #ifdef HAVE_PCRE
	  printf("PCRE ");
	 #endif /* HAVE_PCRE */
	#endif /* HAVE_REGEX */
	#ifdef HAVE_SSL
	 printf("SSL ");
	#endif /* HAVE_SSL */
	#ifdef HAVE_GPG
	 printf("GPG ");
	#endif /* HAVE_GPG */
	#ifdef HAVE_PAM
	 printf("PAM ");
	#endif /* HAVE_PAM */
	#ifdef USE_LIBWRAP
	 printf("LIBWRAP ");
	#endif /* USE_LIBWRAP */

	printf("\n\nAnubis is free software; you can redistribute it and/or modify\n");
	printf("it under the terms of the GNU General Public License as published by\n");
	printf("the Free Software Foundation; either version 2 of the License, or\n");
	printf("(at your option) any later version.\n");
	printf("\nAnubis is distributed in the hope that it will be useful,\n");
	printf("but WITHOUT ANY WARRANTY; without even the implied warranty of\n");
	printf("MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n");
	printf("GNU General Public License for more details.\n");
	printf("\nYou should have received a copy of the GNU General Public License\n");
	printf("along with this program; if not, write to the Free Software\n");
	printf("Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA\n");
	printf("\nAnubis is released under the GPL with the additional exemption that\n");
	printf("compiling, linking, and/or using OpenSSL is allowed.\n\n");
	exit(0);
}

void print_usage(void)
{
	printf("Usage: anubis [options]\n\n");
	printf(" -b, --bind [HOST:]PORT       Specify daemon's port number and host name.\n");
	printf("                              Default HOST value is INADDR_ANY, and default\n");
	printf("                              PORT number is 25.\n");
	printf(" -r, --remote-mta HOST[:PORT] Specify a remote SMTP host name or IP address.\n");
	printf("                              Default PORT number is 25.\n");
	printf(" -l, --local-mta FILE         Execute a local SMTP server, which works on\n");
	printf("                              standard input and output (inetd-type program).\n");
	printf("                              This option excludes the --remote-mta option.\n");
	printf(" -f, --foreground             Foreground mode.\n");
	printf(" -i, --stdio                  Use the SMTP protocol (OMP/Tunnel) as described\n");
	printf("                              in RFC 821 on standard input and output.\n");
	printf("Output options:\n\n");
	printf(" -s, --silent     Work silently.\n");
	printf(" -v, --verbose    Work noisily.\n");
	#ifdef GDEBUG
	printf(" -D, --debug      Debug mode.\n");
	#endif /* GDEBUG */
	printf("\nMisc. options:\n\n");
	printf(" --altrc FILE     Specify alternate supervisor's run control file.\n");
	printf(" --norc           Ignore the run control file.\n");
	printf(" --version        Print version number and copyright.\n");
	printf(" --help           It's obvious...\n");
	printf("\nReport bugs to <"PACKAGE_BUGREPORT">.\n");
	exit(0);
}

/* EOF */

