/*
   socks5.h

   This file is a part of Anubis.
   Copyright (C) 2001, 2002 The Anubis Team.

   Anubis is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   Anubis is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Anubis is released under the GPL with the additional exemption that
   compiling, linking, and/or using OpenSSL is allowed.
*/

/*
   Based on Request For Comments: 1928 ("SOCKS Protocol Version 5")
*/

#define SOCKS_VERSION		0x05	/* SOCKS PROTOCOL VERSION 5 */
#define SOCKS_PASS_VERSION	0x01	/* SOCKS PASS VERSION 5 */
#define SOCKS_NOAUTH		0x00	/* NO AUTHENTICATION REQUIRED */
#define SOCKS_USERPASS		0x02	/* USER NAME/PASSWORD */
#define SOCKS_NAM			0xFF	/* NO ACCEPTABLE METHODS */
#define SOCKS_USERPASS_OK	0x00	/* USER NAME/PASSWORD is OK */
#define SOCKS_CMD_CONNECT	0x01	/* CONNECT COMMAND */

#define ATYP_IPv4			0x01	/* IPv4 */
#define ATYP_DOMAINNAME		0x03	/* DOMAIN NAME */

#ifdef IPV6
 #define ATYP_IPv6			0x04	/* IPv6 */
#endif /* IPV6 */

/* EOF */

